package com.ym.mec.collectfee.entity;

import com.thoughtworks.xstream.annotations.XStreamAlias;

import java.math.BigDecimal;

/**
 * 乐团请求实体类
 */
@XStreamAlias("course")
public class Course {

    //课程组id
    private Integer courseId;

    //课程组名称
    private String courseName;

    //班级id
    private Integer classId;

    //班级名称
    private String className;

    //专业编号
    private Integer subId;

    //专业名称
    private String subNames;

    //计划招生人数
    private Integer enrollCount;

    //已报名或在读学员人数
    private Integer stuCount;

    //课程班状态，1招生中，其他状态见文档
    private Integer status;

    //所属分部编号
    private Integer branchId;

    //课程班收费类别
    private Integer chargeType;

    //课程班收费账户
    private Integer chargeAcct;

    //课程学费收费方式，1按课时收费，2包期限收费，21自动包月收费
    private Integer chargeMode;
    
    private BigDecimal tuitionFee;

    //学费单价（元）。课程收费方式为按课时收费（小课）时，该值为每课时的收费金额（元/课时）；为包月收费（乐团）时，该值为每月的收费金额（元/月）
    private BigDecimal price;
    
    public BigDecimal getTuitionFee() {
		return tuitionFee;
	}

	public void setTuitionFee(BigDecimal tuitionFee) {
		this.tuitionFee = tuitionFee;
	}

	public Integer getCourseId() {
        return courseId;
    }

    public void setCourseId(Integer courseId) {
        this.courseId = courseId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public Integer getClassId() {
        return classId;
    }

    public void setClassId(Integer classId) {
        this.classId = classId;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Integer getSubId() {
        return subId;
    }

    public void setSubId(Integer subId) {
        this.subId = subId;
    }

    public String getSubNames() {
        return subNames;
    }

    public void setSubNames(String subNames) {
        this.subNames = subNames;
    }

    public Integer getEnrollCount() {
        return enrollCount;
    }

    public void setEnrollCount(Integer enrollCount) {
        this.enrollCount = enrollCount;
    }

    public Integer getStuCount() {
        return stuCount;
    }

    public void setStuCount(Integer stuCount) {
        this.stuCount = stuCount;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getBranchId() {
        return branchId;
    }

    public void setBranchId(Integer branchId) {
        this.branchId = branchId;
    }

    public Integer getChargeType() {
        return chargeType;
    }

    public void setChargeType(Integer chargeType) {
        this.chargeType = chargeType;
    }

    public Integer getChargeAcct() {
        return chargeAcct;
    }

    public void setChargeAcct(Integer chargeAcct) {
        this.chargeAcct = chargeAcct;
    }

    public Integer getChargeMode() {
        return chargeMode;
    }

    public void setChargeMode(Integer chargeMode) {
        this.chargeMode = chargeMode;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }
}
